unit testRoman;

interface

uses TestFrameWork, SysUtils, Roman;

  type
    TRomanTest = Class (TTestCase)
      private rc : TRomanNumeral;

      protected
        procedure SetUp; override;
        procedure TearDown; override;

      published
        procedure testRoman1;
        procedure testRoman2;
        procedure testRoman3;                   
    end;

implementation


{ TRomanTest }

procedure TRomanTest.SetUp;
begin
  rc := TRomanNumeral.Create;
end;

procedure TRomanTest.TearDown;
begin
  rc.Free;
end;

procedure TRomanTest.testRoman1;
begin
  Check(rc.toRoman(1) = 'I', '1 returned ' + rc.toRoman(1));
end;

procedure TRomanTest.testRoman2;
begin
  Check(rc.toRoman(2) = 'II', '2 returned ' + rc.toRoman(2));
end;

procedure TRomanTest.testRoman3;
begin
  Check(rc.toRoman(3) = 'III', '3 returned ' + rc.toRoman(3));
end;

initialization
  RegisterTest('', TRomanTest.Suite);

end.
